OGRE: Ogre::RenderQueueInvocationSequence Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::RenderQueueInvocationSequence Class Reference
[RenderSystem]

Class to hold a linear sequence of RenderQueueInvocation objects. More...

`#include <OgreRenderQueueInvocation.h>`

Inheritance diagram for Ogre::RenderQueueInvocationSequence:
[legend]

List of all members.

## Public Member Functions
| RenderQueueInvocationSequence (const String &name)
virtual | ~RenderQueueInvocationSequence ()
const String & | getName (void) const
| Get the name of this sequence.
RenderQueueInvocation * | add (uint8 renderQueueGroupID, const String &invocationName)
| Add a standard invocation to the sequence.
void | add (RenderQueueInvocation *i)
| Add a custom invocation to the sequence.
size_t | size (void) const
| Get the number of invocations in this sequence.
void | clear (void)
| Clear and delete all invocations in this sequence.
RenderQueueInvocation * | get (size_t index)
| Gets the details of an invocation at a given index.
void | remove (size_t index)
| Removes (and deletes) an invocation by index.
RenderQueueInvocationIterator | iterator (void)
| Get an iterator over the invocations.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
String | mName
RenderQueueInvocationList | mInvocations

## Detailed Description

Class to hold a linear sequence of RenderQueueInvocation objects.

Remarks:
  This is just a simple data holder class which contains a list of RenderQueueInvocation objects representing the sequence of invocations made for a viewport. It's only real purpose is to ensure that RenderQueueInvocation instances are deleted on shutdown, since you can provide your own subclass instances on RenderQueueInvocation. Remember that any invocation instances you give to this class will be deleted by it when it is cleared / destroyed.

Definition at line 173 of file OgreRenderQueueInvocation.h.

## Constructor & Destructor Documentation

Ogre::RenderQueueInvocationSequence::RenderQueueInvocationSequence | ( | const String & | name | ) |

virtual Ogre::RenderQueueInvocationSequence::~RenderQueueInvocationSequence | ( |  | ) | `[virtual]`

## Member Function Documentation

RenderQueueInvocation* Ogre::RenderQueueInvocationSequence::add | ( | uint8 | renderQueueGroupID,
|  | const String & | invocationName |
| ) |  |  |

Add a standard invocation to the sequence.

Parameters:

  | renderQueueGroupID | The ID of the render queue group
  | invocationName | Optional name to identify the invocation, useful for listeners if a single queue group is invoked more than once

Returns:
  A new RenderQueueInvocatin instance which you may customise

void Ogre::RenderQueueInvocationSequence::add | ( | RenderQueueInvocation * | i | ) |

Add a custom invocation to the sequence.

Remarks:
  Use this to add your own custom subclasses of RenderQueueInvocation to the sequence; just remember that this class takes ownership of deleting this pointer when it is cleared / destroyed.

void Ogre::RenderQueueInvocationSequence::clear | ( | void |  | ) |

Clear and delete all invocations in this sequence.

RenderQueueInvocation* Ogre::RenderQueueInvocationSequence::get | ( | size_t | index | ) |

Gets the details of an invocation at a given index.

const String& Ogre::RenderQueueInvocationSequence::getName | ( | void |  | ) | const

Get the name of this sequence.

Definition at line 183 of file OgreRenderQueueInvocation.h.

RenderQueueInvocationIterator Ogre::RenderQueueInvocationSequence::iterator | ( | void |  | ) |

Get an iterator over the invocations.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::RenderQueueInvocationSequence::remove | ( | size_t | index | ) |

Removes (and deletes) an invocation by index.

size_t Ogre::RenderQueueInvocationSequence::size | ( | void |  | ) | const

Get the number of invocations in this sequence.

Definition at line 203 of file OgreRenderQueueInvocation.h.

## Member Data Documentation

RenderQueueInvocationList Ogre::RenderQueueInvocationSequence::mInvocations`[protected]`

Definition at line 177 of file OgreRenderQueueInvocation.h.

String Ogre::RenderQueueInvocationSequence::mName`[protected]`

Definition at line 176 of file OgreRenderQueueInvocation.h.

The documentation for this class was generated from the following file:

- OgreRenderQueueInvocation.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59